Page MenuHomePhabricator

As regular feed user I want to keep older featured articles in my feed, even if I switch languages
Closed, ResolvedPublic

Description

Per our discussion:

  • Featured article should not be a "singleton" section, but each day where I open the app, I should get a new Featured Article section added to my feed
  • Older featured articles should preserve their site (fix T120865)

Spec

Given that I have have a featured article for day 1 in my feed
When I open the app on day 2
I should see the featured article for day 1 below any new feed content

Given that I have have a featured article for day 1 in my feed
When I open the app on day 7
I should see the featured article for day 1 below any new feed content
And I should see a new featured article section for day 7 added to my feed
And I should not see featured articles sections for the intervening days (days 2-6)

Given that I have an section in my feed for a featured article for $lang1 wikipedia
When I switch to $lang2 via the language picker
When I tap on the featured article section forI can see the full article $lang1

Event Timeline

JMinor created this task.Dec 9 2015, 5:53 PM
JMinor raised the priority of this task from to Normal.
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2015, 5:53 PM
BGerstle-WMF raised the priority of this task from Normal to High.
BGerstle-WMF lowered the priority of this task from High to Normal.
BGerstle-WMF set Security to None.
JMinor renamed this task from As regular feed user I want to keep older featured articles in my feed, even if I switich languages to As regular feed user I want to keep older featured articles in my feed, even if I switch languages.Dec 9 2015, 7:23 PM
Etonkovidova added a subscriber: Etonkovidova.EditedDec 11 2015, 12:18 AM

Checked with 5.0.0.544 on iPhone 6S+ 9.1, iPhone 5 iOS 9.02, and iPad mini iOS 8.2.

For specs, I haven't checked yet for the whole seven day -for the second day, the Featured article is placed right after Random and before Nearby

Some questions:

  1. I assume that the "Featured article for [today's day]" and "Today's featured article" on the Main page are the same?

For Dec 10, "Nicky Barr" was displayed as "Featured article for Dec 10, 2015 ", but the same article was listed as already "Recently featured" on the Main page's "Today's featured article".

  1. more of overall design question:

When I change the wiki lang, on the Explore page

  • Main page will refer to lang specific Main page
  • Random will present an article from lang wiki
  • Nearby will present names of locations in a new lang
  • Featured article and Picture of the day are still refer to English wiki. Changing device language preserve English for Featured article and Picture of the day. A user has no way to see those two in their preferred language?

"Featured article and Picture of the day are still refer to English wiki. Changing device language preserve English for Featured article and Picture of the day. A user has no way to see those two in their preferred language?"

Unfortunately we were not able to find a systematic client-side way to pull the featured article from any wikipedia, so only English is supported. If you never load english, you will never see a featured article, in this version of the app. POTD is from Commons, so it will show in any language and will use the commons localized caption if available, and fall back to English if not.

JMinor closed this task as Resolved.Dec 18 2015, 6:32 PM